package at.jku.ssw.graphviz;

/** A vertex of a graph. */
public class Vertex {

	public final char value;
	public final boolean isRoot;
	public boolean marked;
	public Vertex dad;
	public int minWeight = 0;
	public int distance = 0;

	/** Creates a vertex with a character value. */
	public Vertex(char value) {
		this(value, false);
	}

	/** Creates a vertex or a root vertex with a character value. */
	public Vertex(char value, boolean isRoot) {
		this.value = value;
		this.isRoot = isRoot;
	}

}